%define pypi_name pykdtree

Name:           python-pykdtree
Version:        1.3.13
Release:        %mkrel 1
Summary:        A Python kd-tree nearest neighbour search
License:        GPLv3
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pykdtree
Source0:        %{pypi_source}

%description
Pykdtree is a kd-tree implementation for fast nearest neighbour search
in Python. The aim is to be the fastest implementation around for
common use cases (low dimensions and low number of neighbours) for
both tree construction and queries. Queries are optionally
multithreaded using OpenMP.


%package -n python3-pykdtree
Summary:        A Python3 kd-tree nearest neighbour search
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(cython)
BuildRequires:  libgomp-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-pykdtree
Pykdtree is a kd-tree implementation for fast nearest neighbour search
in Python. The aim is to be the fastest implementation around for
common use cases (low dimensions and low number of neighbours) for
both tree construction and queries. Queries are optionally
multithreaded using OpenMP.




%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
export PROJ_DIR=%{_libdir}
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pykdtree


%files -n python3-pykdtree -f %{pyproject_files}


%changelog
* Sat Dec 07 2024 eatdirt <eatdirt> 1.3.13-1.mga10
+ Revision: 2122542
- Update to version 1.3.13

* Sun May 05 2024 eatdirt <eatdirt> 1.3.12-1.mga10
+ Revision: 2062303
- Update to version 1.3.12

* Tue Dec 19 2023 papoteur <papoteur> 1.3.10-1.mga10
+ Revision: 2019255
- new 1.3.10
- Mass Rebuild - Python 3.12

* Tue May 30 2023 eatdirt <eatdirt> 1.3.7.post0-1.mga9
+ Revision: 1959824
- Update to version 1.3.7.post0

* Sat Dec 03 2022 eatdirt <eatdirt> 1.3.6-1.mga9
+ Revision: 1916106
- Update to version 1.3.6

* Fri Aug 26 2022 eatdirt <eatdirt> 1.3.5-1.mga9
+ Revision: 1880519
- Update to version 1.3.5

* Mon Mar 28 2022 umeabot <umeabot> 1.3.4-4.mga9
+ Revision: 1829527
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.3.4-3.mga9
+ Revision: 1775438
- fix files list
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 1.3.4-2.mga9
+ Revision: 1717108
- rebuild for python 3.9

* Sun Dec 06 2020 eatdirt <eatdirt> 1.3.4-1.mga8
+ Revision: 1653721
- Upgrade to version 1.3.4

* Sun Feb 16 2020 umeabot <umeabot> 1.3.1-6.mga8
+ Revision: 1536327
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 1.3.1-5.mga8
+ Revision: 1453953
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 1.3.1-4.mga7
+ Revision: 1352205
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-3.mga7
+ Revision: 1300566
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 1.3.1-2.mga7
+ Revision: 1250044
- Fix missing Obsoletes

* Tue Aug 07 2018 eatdirt <eatdirt> 1.3.1-1.mga7
+ Revision: 1248722
- Upgrade to version 1.3.1

* Fri Oct 27 2017 eatdirt <eatdirt> 1.2.2-2.mga7
+ Revision: 1174041
- Remove unused BR to proj-devel

* Fri Oct 27 2017 eatdirt <eatdirt> 1.2.2-1.mga7
+ Revision: 1174038
- imported package python-pykdtree

